libzypp 17.37.10

zypp::resstatus::UserLockQueryManip Struct Reference

Manipulator for ResStatus::UserLockQueryField. More...

`#include <zypp/pool/PoolImpl.h>`

## Static Public Member Functions
static void | setLock (ResStatus &status_r, bool yesno_r)
| Set lock and UserLockQuery bit according to `yesno_r`.
static void | reapplyLock (ResStatus &status_r, bool yesno_r)
| Update lock and UserLockQuery bit IFF the item gained the bit.
static int | diffLock (const ResStatus &status_r)
| Test whether the lock status differs from the remembered UserLockQuery bit.

## Detailed Description

Manipulator for ResStatus::UserLockQueryField.

Field is not public available. It is intended to remember the initial lock status usually derived from /etc/zypp/locks. So we are able to detect changes we have to write back on commit.

Definition at line 43 of file PoolImpl.h.

## Member Function Documentation

## ◆ setLock()

void zypp::resstatus::UserLockQueryManip::setLock | ( | ResStatus & | status_r,
|  | bool | yesno_r )
| inline static

Set lock and UserLockQuery bit according to `yesno_r`.

Definition at line 46 of file PoolImpl.h.

## ◆ reapplyLock()

void zypp::resstatus::UserLockQueryManip::reapplyLock | ( | ResStatus & | status_r,
|  | bool | yesno_r )
| inline static

Update lock and UserLockQuery bit IFF the item gained the bit.

Definition at line 53 of file PoolImpl.h.

## ◆ diffLock()

int zypp::resstatus::UserLockQueryManip::diffLock | ( | const ResStatus & | status_r | ) |
| inline static

Test whether the lock status differs from the remembered UserLockQuery bit.

Definition at line 63 of file PoolImpl.h.

The documentation for this struct was generated from the following file:

- zypp/pool/PoolImpl.h